dbXML API

## org.dbxml.core.data
Class EmptyDocumentSet

    java.lang.Object
      |
      +--org.dbxml.core.data.EmptyDocumentSet

All Implemented Interfaces:
  DocumentSet

public final class EmptyDocumentSet
extends java.lang.Object
implements DocumentSet

EmptyDocumentSet implements an empty DocumentSet.

Constructor Summary
`EmptyDocumentSet()`

Method Summary
`Container` `getNextContainer()` getNextContainer returns the next Document in the set wrapped in a Collection Container.
`org.w3c.dom.Document` `getNextDocument()` getNextDocument returns the next Document in the set.
`boolean` `hasMoreDocuments()` hasMoreDocuments returns whether there are any more Documents left in the set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyDocumentSet

    public EmptyDocumentSet()

Method Detail

### hasMoreDocuments

    public boolean hasMoreDocuments()

  Description copied from interface: `DocumentSet`
  hasMoreDocuments returns whether there are any more Documents left in the set.
  Specified by:
    `hasMoreDocuments` in interface `DocumentSet`
  Following copied from interface: `org.dbxml.core.data.DocumentSet`
  Returns:
    Whether there are more Documents

### getNextDocument

    public org.w3c.dom.Document getNextDocument()

  Description copied from interface: `DocumentSet`
  getNextDocument returns the next Document in the set.
  Specified by:
    `getNextDocument` in interface `DocumentSet`
  Following copied from interface: `org.dbxml.core.data.DocumentSet`
  Returns:
    The next Document

### getNextContainer

    public Container getNextContainer()

  Description copied from interface: `DocumentSet`
  getNextContainer returns the next Document in the set wrapped in a Collection Container. Containers store extra information about the Document (like its Key)
  Specified by:
    `getNextContainer` in interface `DocumentSet`
  Following copied from interface: `org.dbxml.core.data.DocumentSet`
  Returns:
    The next Container

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved